glab(1)

NAME
glab-stack-sync - Sync and submit progress on a stacked diff. (EXPERIMENTAL)

SYNOPSIS
glab stack sync [flags]

DESCRIPTION
Sync and submit progress on a stacked diff. This command runs these steps:

1.  Optional. If working in a fork, select whether to push to the fork, or the upstream repository.

2.  Optional. If --update-base is set, rebases the entire stack onto the latest version of the base branch.

3.  Pushes any amended changes to their merge requests.

4.  Rebases any changes that happened previously in the stack.

5.  Removes any branches that were already merged, or with a closed merge request.

This feature is an experiment and is not ready for production use. It might be unstable or removed at any time. For more information, see https://docs.gitlab.com/policy/development_stages_support/.

OPTIONS
-a, --assignee=[]
    Assign merge request to people by their usernames. Multiple usernames can be comma-separated or specified by repeating the flag.

-l, --label=[]
    Add label by name. Multiple labels can be comma-separated or specified by repeating the flag.

--no-verify[=false]
    Bypass the pre-push hook. (See githooks(5) for more information.)

--update-base[=false]
    Rebase the stack onto the latest version of the base branch.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

EXAMPLE
    glab stack sync
    glab stack sync --no-verify
    glab stack sync --update-base
    glab stack sync --assignee user1,user2
    glab stack sync --label bug,priority::high

SEE ALSO
glab-stack(1)